#
# spec file for package gnome-keysign
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-keysign
Version:        0.6
Release:        3.3
Summary:        GNOME OpenGPG key signing helper
License:        GPL-3.0+
Group:          Productivity/Security
Url:            https://github.com/muelli/geysigning
Source:         %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM gnome-keysign-gpg-2.1.patch dimstar@opensuse.org -- Fix execution with GPG 2.1
Patch0:         gnome-keysign-gpg-2.1.patch
# PATCH-FIX-UPSTREAM gnome-keysign-gpg-2.1-returncode.patch tobiasmue@gnome.org -- Improve GPG 2.1 compatibility
Patch1:         gnome-keysign-gpg-2.1-returncode.patch
BuildRequires:  gobject-introspection
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
%ifarch x86_64
Requires:       gstreamer1(element-zbar)()(64bit)
%else
Requires:       gstreamer1(element-zbar)
%endif
Requires:       dbus-1-python
Requires:       python-avahi
Requires:       python-cairo
Requires:       python-gobject
Requires:       python-gobject-Gdk
Requires:       python-monkeysign
Requires:       python-qrcode
Requires:       python-requests
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Its purpose is to ease signing other peoples' keys. It is similar
to caff, PIUS, or monkeysign. In fact, it is influenced a lot by
these tools and either reimplements ideas or reuses code.
Consider either of the aboved mentioned tools when you need a much
more mature codebase.

%package -n python-monkeysign
Summary:        OpenPGP key exchange for humans
Group:          Development/Languages/Python

%description -n python-monkeysign
monkeysign is a tool to overhaul the OpenPGP keysigning experience and
bring it closer to something that most primates can understand.

The project makes use of cheap digital cameras and the type of bar
code known as a QRcode to provide a human-friendly yet still-secure
keysigning experience.

No more reciting tedious strings of hexadecimal characters.  And, you
can build a little rogue's gallery of the people that you have met and
exchanged keys with!

%prep
%setup -q
pushd monkeysign
%patch0 -p1
%patch1 -p1
popd

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}
%suse_update_desktop_file -r %{name} System Security

%files
%defattr(-,root,root)
%doc README.rst COPYING
%{_bindir}/%{name}
%{_bindir}/gks-qrcode
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{python_sitelib}/keysign/
%{python_sitelib}/gnome_keysign-*.egg-info/

%files -n python-monkeysign
%defattr(-,root,root)
%{python_sitelib}/monkeysign/

%changelog
* Thu Jul  7 2016 tobiasmue@gnome.org
- Update to version 0.6:
  * GetKey: Properly call TempKeyring, not TemporaryKeyring
  * Using gi.require for Gtk, Gst, and GstVideo
  * Increased py3k compatibilty
- Add gnome-keysign-gpg-2.1-returncode.patch: Improve GPG 2.1
  compatibility. Patch has been submitted to monkeysign upstream:
  https://lists.riseup.net/www/arc/monkeysphere/2016-07/msg00000.html
* Sat Jun 25 2016 dimstar@opensuse.org
- Add python-requests Requires: manadatory dependency.
* Thu Jun 16 2016 dimstar@opensuse.org
- Add gnome-keysign-gpg-2.1.patch: Fix executiong with GPG 2.1.
  Patch has been submitted to monkeysign upstream.
* Thu Jun 16 2016 dimstar@opensuse.org
- Initial package, version 0.5.
